1

Тема: libqt 4.6.2

На данный момент уже многие приложения в extras-devel зависимы от libqt 4.6.2

Можно конечно дождаться прошивки 1.2 которая выйдет буквально на днях, но - может быть кто то знает способ как корректно поставить эти либы на N900?

GNU/Linux Debian / Nokia N900 / N9

2

Re: libqt 4.6.2

Надо поставить приложение, которое их использует, например QtRapids

n900/2.2009.51-1

3

Re: libqt 4.6.2

Так libqt 4.6.2 же есть в extras-devel
Если приложение от них зависит, то и подтянет.
Или я не понял проблему?

Был бы у Чехова автомобиль, поворотник бы Чехов включал.
N810 (DIABLO_5.2008.43-7)

4

Re: libqt 4.6.2

не подтягивает - в том то и дело. Установка libqt4-maemo5-core нужной версии ничего не даёт. А шаманить с линковкой не хочется.

wl попробуйте поставить barriosquare например...

http://maemo.org/packages/package_insta … .3-maemo2/

GNU/Linux Debian / Nokia N900 / N9

5

Re: libqt 4.6.2

Ну значит так зависимости в пакетах сделаны.
А если просто глянуть какой библиотеки не хватает и установить соответствующий пакет?

Был бы у Чехова автомобиль, поворотник бы Чехов включал.
N810 (DIABLO_5.2008.43-7)

6

Re: libqt 4.6.2

Тут есть заковырка, связанная с прошивкой 1.2. Поскольку с её выходом меняется QT и ряд системных библиотек, требующих перекомпиляции приложений, Нокиевские мозги придумали, что Extras раздвоится. Их давно уже 2. Точнее 2 распространения. Fremantle и Fremantle1.2. И все пакеты собираются автобьюилдером в 2 разных репозитария. Боюсь, что именно из-за этого и не работают те продукты, которые уже заточены под 1.2

c приветом, gLobster
Nokia E7|Lumia 920 + TomTom Go Live 1000 + Lenovo IdeaPad Z370+ Motorola Xoom

7

Re: libqt 4.6.2

а ввод на русском вообще ожидается в этой ветке?

Siemens SX1 -> N800/1gb Transcend + Nokia 3500c -> eeePC +Nokia 3500c -> N900

8

Re: libqt 4.6.2

Это не было проблемой QT. В PR 1.2 баг исправили и QT работает нормально. Но это было одной из причин, почему не вышла раньше smile

c приветом, gLobster
Nokia E7|Lumia 920 + TomTom Go Live 1000 + Lenovo IdeaPad Z370+ Motorola Xoom

9

Re: libqt 4.6.2

хм. для pre PR1.2 собирал qutim - русский не работал, этот же пакет в нормальной 1.2 так же не вводит по русски, попробовать пересобрать что ли... или в коде кутима баг где то.

Siemens SX1 -> N800/1gb Transcend + Nokia 3500c -> eeePC +Nokia 3500c -> N900

10

Re: libqt 4.6.2

Не знаю как в маемо 5, но в маемо 4 русский ввод в Qt заработал только после того как вместо hildon-input стал использовать xkb
В теме про Оперу было.

Был бы у Чехова автомобиль, поворотник бы Чехов включал.
N810 (DIABLO_5.2008.43-7)

11

Re: libqt 4.6.2

Ничего не могу сказать про Maemo 4. Я тестировал только для Maemo 5. После включения QT 4.6.2 ( например в бьюилд 12-9, который был первоначальным кандидатом на 1.2) во всех QT-шных программах русский ввод с клавиатуры пропал. А в вышедшей 1.2( бьюилд 19-1) с тем же QT 4.6.2 он опять появился. На одних и тех же программах (не перестроенных)

c приветом, gLobster
Nokia E7|Lumia 920 + TomTom Go Live 1000 + Lenovo IdeaPad Z370+ Motorola Xoom

12

Re: libqt 4.6.2

Хм. У меня в Maemo 4 с русским в Qt не было проблем никогда. Что я делаю не так? smile

N̶8̶0̶0̶ + N̶8̶1̶0̶ + N̶9̶0̶0̶ + N̶9̶5̶0̶ + N̶9̶ ̶C̶y̶a̶n̶ + N̶9̶ ̶B̶l̶a̶c̶k̶

13

Re: libqt 4.6.2

Похоже от версии Qt как-то зависит.

Был бы у Чехова автомобиль, поворотник бы Чехов включал.
N810 (DIABLO_5.2008.43-7)

14

Re: libqt 4.6.2

а решение нашлось банальнее некуда apt-get update apt-get dist-upgrade. он старые версии программ оказывается выкачал когда бекап разворачивался) теперь доволен как огурец)

Siemens SX1 -> N800/1gb Transcend + Nokia 3500c -> eeePC +Nokia 3500c -> N900